classification
Title: add a {dist-info} category to distutils2
Type: enhancement Stage: resolved
Components: Distutils2 Versions: Python 3.4, 3rd party
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, dholth, eric.araujo, michael.mulich, mu_mind, tarek
Priority: normal Keywords: easy, patch

Created on 2011-04-19 16:51 by dholth, last changed 2014-03-12 21:23 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
50a0da981b7e.diff dholth, 2012-05-17 12:33 review
Repositories containing patches
https://bitbucket.org/dholth/cpython
Messages (13)
msg134077 - (view) Author: Daniel Holth (dholth) * Date: 2011-04-19 16:51
In distutils2 there is currently no way to add files such as egg_info.txt that should be part of the package metadata. A new category named the same as the .dist-info directory would be a nice way to do it.

distutils2 should raise an error if any of the reserved files are overwritten with this feature or it should just copy these first overwriting with the reserved names.

It might be a good idea to disallow subdirectories in dist-info.
msg134080 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-04-19 16:55
This feature is two-fold: add a method to install_distinfo to make it write some data in some file; add a new resource category.
msg145500 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2011-10-14 08:46
I'd like to work on this issue. What is the correct location of the Distutils2 project?

I have found these links:
http://hg.python.org/distutils2/file/98e0d3c53a2f/distutils2/
http://hg.python.org/cpython/file/2c223d686feb/Lib/packaging

Thanks!
msg145537 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-10-14 15:47
Hi Berker!  Welcome to Python core development.  Tips and guidelines for working on distutils are found here: http://wiki.python.org/moin/Distutils/Contributing

It’s best if you work on packaging from the cpython repo, but you can also use the distutils2 repo it that’s more convenient.

Feel free to ask any question!
msg155900 - (view) Author: Alexis Metaireau (alexis) * (Python triager) Date: 2012-03-15 16:18
Hey, is there any news on this bug? Berker?
msg160948 - (view) Author: Daniel Holth (dholth) * Date: 2012-05-17 03:31
Implemented in https://bitbucket.org/dholth/cpython/changeset/c493a5179621

Advice on writing the unit test would be appreciated.
msg160967 - (view) Author: Daniel Holth (dholth) * Date: 2012-05-17 12:32
Fixed closure mistake in remote tip
msg161031 - (view) Author: Daniel Holth (dholth) * Date: 2012-05-18 02:44
branch updated with regression test (add an entry_points.txt to test_command_install_data.py) and get_distinfo_file() can get any file inside the .dist-info directory.
msg162793 - (view) Author: David Barnett (mu_mind) Date: 2012-06-14 14:28
Is this ready and just waiting to be merged now?
msg162795 - (view) Author: Daniel Holth (dholth) * Date: 2012-06-14 14:40
Yes, but I had some trouble attaching a good patch to the issue tracker
itself.

On Thu, Jun 14, 2012, at 02:28 PM, David Barnett wrote:
> 
> David Barnett <davidbarnett2@gmail.com> added the comment:
> 
> Is this ready and just waiting to be merged now?
> 
> ----------
> nosy: +mu_mind
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue11880>
> _______________________________________
msg164569 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-07-03 04:49
Did a first review on Rietveld, but I see that the patch may be outdated (it had no tests).
msg164600 - (view) Author: Daniel Holth (dholth) * Date: 2012-07-03 13:04
I appreciate it. I had trouble using the patch system after that. I will see whether I can generate a better one.

Daniel Holth

On Jul 3, 2012, at 12:49 AM, Éric Araujo <report@bugs.python.org> wrote:

> 
> Éric Araujo <merwok@netwok.org> added the comment:
> 
> Did a first review on Rietveld, but I see that the patch may be outdated (it had no tests).
> 
> ----------
> versions: +3rd party, Python 3.4 -Python 3.3
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue11880>
> _______________________________________
msg168948 - (view) Author: Daniel Holth (dholth) * Date: 2012-08-23 16:54
Sorry, I won't be able to get around to this any time soon. The patch to fix this bug (in the CPython3 source code) is too intertwined with the other distutils2 fixes. Anyone is welcome to fish for it in my bitbucket.
History
Date User Action Args
2014-03-12 21:23:37eric.araujosetstatus: languishing -> closed
resolution: out of date
stage: resolved
2012-10-25 21:45:25berker.peksagsetnosy: - berker.peksag
2012-08-23 16:54:35dholthsetstatus: open -> languishing

messages: + msg168948
2012-07-03 13:04:18dholthsetmessages: + msg164600
2012-07-03 04:49:56eric.araujosetmessages: + msg164569
versions: + 3rd party, Python 3.4, - Python 3.3
2012-06-14 14:40:04dholthsetmessages: + msg162795
2012-06-14 14:28:48mu_mindsetnosy: + mu_mind
messages: + msg162793
2012-05-18 02:44:03dholthsetmessages: + msg161031
2012-05-17 12:33:56dholthsetfiles: + 50a0da981b7e.diff
keywords: + patch
2012-05-17 12:32:53dholthsethgrepos: + hgrepo126
messages: + msg160967
2012-05-17 03:31:08dholthsetmessages: + msg160948
2012-03-15 16:18:12alexissetmessages: + msg155900
2012-03-14 02:15:56eric.araujolinkissue14294 dependencies
2011-10-14 15:47:03eric.araujosetmessages: + msg145537
2011-10-14 08:46:01berker.peksagsetmessages: + msg145500
2011-10-13 23:38:13berker.peksagsetnosy: + berker.peksag
2011-06-09 22:40:27michael.mulichsetnosy: + michael.mulich
2011-05-24 16:41:50eric.araujosetkeywords: + easy
versions: + Python 3.3
2011-04-19 16:55:08eric.araujosetassignee: tarek -> eric.araujo
messages: + msg134080
2011-04-19 16:51:04dholthcreate